module.exports = {
    root: true,
    env: {
        node: true,
        es6: true,
        browser: true
    },
    extends: ['plugin:vue/essential', 'eslint:recommended', 'plugin:prettier/recommended'],
    parserOptions: {
        parser: 'babel-eslint'
    },
    globals: {
        envConfig: 'readable'
    },
    rules: {
        'no-console': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
        'no-debugger': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
        'no-unused-vars': 0,
        'vue/no-mutating-props': 0
    }
}