function copyText(text) {
    const textString = text.toString() // 数字没有 .length 不能执行selectText 需要转化成字符串
    let input = document.querySelector('#copy-input')
    if (!input) {
        input = document.createElement('input')
        input.id = 'copy-input'
        input.readOnly = 'readOnly' // 防止ios聚焦触发键盘事件
        input.style.position = 'absolute'
        input.style.left = '-2000px'
        input.style.zIndex = '-2000'
        document.body.appendChild(input)
    }

    input.value = textString
    // ios必须先选中文字且不支持 input.select();
    selectText(input, 0, textString.length)
    if (document.execCommand('copy')) {
        document.execCommand('copy')
        return '复制成功！'
    } else {
        return '复制失败！'
    }
}

function selectText(textbox, startIndex, stopIndex) {
    if (textbox.createTextRange) {
        // ie
        const range = textbox.createTextRange()
        range.collapse(true)
        range.moveStart('character', startIndex) // 起始光标
        range.moveEnd('character', stopIndex - startIndex) // 结束光标
        range.select() // 不兼容苹果
    } else {
        // firefox/chrome
        textbox.setSelectionRange(startIndex, stopIndex)
        textbox.focus()
    }
}
export default copyText
